Return a list of runbook dashboard items, filtered by various criteria including projectIds, environmentIds, tenantIds, tenantTags, runbookIds, runbookTags, taskIds
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
ID of the space.
Query Parameters
environmentIdsarray of stringprojectIdsarray of stringrunbookIdsarray of stringrunbookTagsarray of stringskipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.taskIdsarray of stringtenantIdsarray of stringtenantTagsarray of string
Response
200 — The list of runbook dashboard items
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectCompletedTimestring
Formatdate-time.Createdstring
Formatdate-time.DurationstringEnvironmentIdstringErrorMessagestringGitReferenceobjectHasPendingInterruptionsbooleanHasPendingPreconditionsbooleanHasWarningsOrErrorsbooleanIdstring
Gets or sets a unique identifier for this resource.IsCompletedbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PendingInterruptionTypesarray of enum
Allowed values:ManualIntervention,GuidedFailure,PullRequestCompletion,ArgoCDApplicationSync,KubernetesResourceVerification.PendingPreconditionTypesarray of stringProjectIdstringQueueTimestring
Formatdate-time.RunBystringRunNamestringRunbookIdstringRunbookSnapshotIdstringRunbookSnapshotNamestringRunbookSnapshotNotesstringStartTimestring
Formatdate-time.Stateenum
Allowed values:Queued,Executing,Failed,Canceled,TimedOut,Success,Cancelling.TaskIdstringTenantIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"CompletedTime": "2020-01-01T00:00:00.000Z",
"Created": "2020-01-01T00:00:00.000Z",
"Duration": "string",
"EnvironmentId": "Environments-1",
"ErrorMessage": "string",
"GitReference": {
"GitCommit": "string",
"GitRef": "string"
},
"HasPendingInterruptions": true,
"HasPendingPreconditions": true,
"HasWarningsOrErrors": true,
"Id": "string",
"IsCompleted": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PendingInterruptionTypes": [
"ManualIntervention"
],
"PendingPreconditionTypes": [
"string"
],
"ProjectId": "Projects-1",
"QueueTime": "2020-01-01T00:00:00.000Z",
"RunBy": "string",
"RunName": "string",
"RunbookId": "string",
"RunbookSnapshotId": "string",
"RunbookSnapshotName": "string",
"RunbookSnapshotNotes": "string",
"StartTime": "2020-01-01T00:00:00.000Z",
"State": "Queued",
"TaskId": "string",
"TenantId": "Tenants-1"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Get the progress of a runbook in the environment lifecycle
GET /api
Also reachable at /api, /api.
Path Parameters
runbookIdstring (required)
ID of the Runbook.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Runbook Progression information
Environmentsarray of objectIdstringNamestring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.RunbookRunsobject
Example Response
{
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"RunbookRuns": {
"additionalProp1": [
{
"CompletedTime": "2020-01-01T00:00:00.000Z",
"Created": "2020-01-01T00:00:00.000Z",
"Duration": "string",
"EnvironmentId": "Environments-1",
"ErrorMessage": "string",
"GitReference": {},
"HasPendingInterruptions": true,
"HasPendingPreconditions": true,
"HasWarningsOrErrors": true,
"Id": "string",
"IsCompleted": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {},
"PendingInterruptionTypes": [
"ManualIntervention"
],
"PendingPreconditionTypes": [
"string"
],
"ProjectId": "Projects-1",
"QueueTime": "2020-01-01T00:00:00.000Z",
"RunBy": "string",
"RunName": "string",
"RunbookId": "string",
"RunbookSnapshotId": "string",
"RunbookSnapshotName": "string",
"RunbookSnapshotNotes": "string",
"StartTime": "2020-01-01T00:00:00.000Z",
"State": "Queued",
"TaskId": "string",
"TenantId": "Tenants-1"
}
],
"additionalProp2": [
{
"CompletedTime": "2020-01-01T00:00:00.000Z",
"Created": "2020-01-01T00:00:00.000Z",
"Duration": "string",
"EnvironmentId": "Environments-1",
"ErrorMessage": "string",
"GitReference": {},
"HasPendingInterruptions": true,
"HasPendingPreconditions": true,
"HasWarningsOrErrors": true,
"Id": "string",
"IsCompleted": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {},
"PendingInterruptionTypes": [
"ManualIntervention"
],
"PendingPreconditionTypes": [
"string"
],
"ProjectId": "Projects-1",
"QueueTime": "2020-01-01T00:00:00.000Z",
"RunBy": "string",
"RunName": "string",
"RunbookId": "string",
"RunbookSnapshotId": "string",
"RunbookSnapshotName": "string",
"RunbookSnapshotNotes": "string",
"StartTime": "2020-01-01T00:00:00.000Z",
"State": "Queued",
"TaskId": "string",
"TenantId": "Tenants-1"
}
],
"additionalProp3": [
{
"CompletedTime": "2020-01-01T00:00:00.000Z",
"Created": "2020-01-01T00:00:00.000Z",
"Duration": "string",
"EnvironmentId": "Environments-1",
"ErrorMessage": "string",
"GitReference": {},
"HasPendingInterruptions": true,
"HasPendingPreconditions": true,
"HasWarningsOrErrors": true,
"Id": "string",
"IsCompleted": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {},
"PendingInterruptionTypes": [
"ManualIntervention"
],
"PendingPreconditionTypes": [
"string"
],
"ProjectId": "Projects-1",
"QueueTime": "2020-01-01T00:00:00.000Z",
"RunBy": "string",
"RunName": "string",
"RunbookId": "string",
"RunbookSnapshotId": "string",
"RunbookSnapshotName": "string",
"RunbookSnapshotNotes": "string",
"StartTime": "2020-01-01T00:00:00.000Z",
"State": "Queued",
"TaskId": "string",
"TenantId": "Tenants-1"
}
]
}
}Get the progress of a runbook in the environment lifecycle
GET /api
Also reachable at /api, /api.
Path Parameters
runbookIdstring (required)
ID of the Runbook.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Runbook Progression information
ProgressionobjectEnvironmentsarray of objectIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.RunbookRunsobject
Example Response
{
"Progression": {
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"RunbookRuns": {
"additionalProp1": [
{}
],
"additionalProp2": [
{}
],
"additionalProp3": [
{}
]
}
}
}Get the progress of a release in the environment lifecycle
GET /api
Also reachable at /api, /api, /api, /api, /api.
Path Parameters
projectIdstring (required)
ID of the Project.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
releaseHistoryCountinteger
Number of releases to include per environment/channel/tenant combination. Defaults to 3. Maximum allowed is 100. Minimum1. Maximum100.
Response
200 — The requested Project Progression information
ChannelEnvironmentsobjectEnvironmentsarray of objectIdstringNamestring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LifecycleEnvironmentsobjectLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Releasesarray of objectChannelobjectDeploymentsobjectHasUnresolvedDefectbooleanNextDeploymentsarray of stringReleaseobjectReleaseRetentionPeriodobjectTentacleRetentionPeriodobject
Example Response
{
"ChannelEnvironments": {
"additionalProp1": [
{
"Id": "string",
"Name": "string"
}
],
"additionalProp2": [
{
"Id": "string",
"Name": "string"
}
],
"additionalProp3": [
{
"Id": "string",
"Name": "string"
}
]
},
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LifecycleEnvironments": {
"additionalProp1": [
{
"Id": "string",
"Name": "string"
}
],
"additionalProp2": [
{
"Id": "string",
"Name": "string"
}
],
"additionalProp3": [
{
"Id": "string",
"Name": "string"
}
]
},
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Releases": [
{
"Channel": {
"AutomaticEphemeralEnvironmentDeployments": true,
"CustomFieldDefinitions": [
{}
],
"Description": "string",
"EphemeralEnvironmentNameTemplate": "string",
"GitReferenceRules": [
"string"
],
"GitResourceRules": [
{}
],
"Id": "string",
"IsDefault": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LifecycleId": "string",
"Links": {},
"Name": "string",
"ParentEnvironmentId": "Environments-1",
"ProjectId": "Projects-1",
"Rules": [
{}
],
"Slug": "string",
"SpaceId": "Spaces-1",
"TenantTags": [
"string"
],
"Type": "string"
},
"Deployments": {
"additionalProp1": [
{}
],
"additionalProp2": [
{}
],
"additionalProp3": [
{}
]
},
"HasUnresolvedDefect": true,
"NextDeployments": [
"Environments-1",
"..."
],
"Release": {
"Assembled": "2020-01-01T00:00:00.000Z",
"BuildInformation": [
{}
],
"ChannelId": "Channels-1",
"CustomFields": {},
"Id": "Releases-1",
"IgnoreChannelRules": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LibraryVariableSetSnapshotIds": [
"string"
],
"Links": {},
"ProjectDeploymentProcessSnapshotId": "string",
"ProjectId": "Projects-1",
"ProjectVariableSetSnapshotId": "string",
"ReleaseNotes": "string",
"SelectedGitResources": [
{}
],
"SelectedPackages": [
{}
],
"SpaceId": "Spaces-1",
"VariableSnapshotConcurrencyToken": "string",
"Version": "string",
"VersionControlReference": {}
},
"ReleaseRetentionPeriod": {
"QuantityToKeep": 0,
"ShouldKeepForever": true,
"Strategy": "string",
"Unit": "Days"
},
"TentacleRetentionPeriod": {
"QuantityToKeep": 0,
"ShouldKeepForever": true,
"Strategy": "string",
"Unit": "Days"
}
}
]
}Get the progress of a release in the environment lifecycle
GET /api
Also reachable at /api, /api.
Path Parameters
projectIdstring (required)
ID of the Project.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
releaseHistoryCountinteger
Number of releases to include per environment/channel/tenant combination. Defaults to 3. Maximum allowed is 100. Minimum1. Maximum100.
Response
200 — The requested Project Progression information
ProgressionobjectChannelEnvironmentsobjectEnvironmentsarray of objectIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LifecycleEnvironmentsobjectLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Releasesarray of object
Example Response
{
"Progression": {
"ChannelEnvironments": {
"additionalProp1": [
{}
],
"additionalProp2": [
{}
],
"additionalProp3": [
{}
]
},
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LifecycleEnvironments": {
"additionalProp1": [
{}
],
"additionalProp2": [
{}
],
"additionalProp3": [
{}
]
},
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Releases": [
{
"Channel": {},
"Deployments": {},
"HasUnresolvedDefect": true,
"NextDeployments": [
"Environments-1",
"..."
],
"Release": {},
"ReleaseRetentionPeriod": {},
"TentacleRetentionPeriod": {}
}
]
}
}